Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.util
Class HostsFileReader

    java.lang.Object
      org.apache.hadoop.util.HostsFileReader

    public class HostsFileReader

extends Object

Constructor Summary
`HostsFileReader(String inFile, String exFile)`

Method Summary
`Set<String>` | `getExcludedHosts()`
`Set<String>` | `getHosts()`
`void` | `refresh()`
`void` | `setExcludesFile(String excludesFile)`
`void` | `setIncludesFile(String includesFile)`
`void` | `updateFileNames(String includesFile, String excludesFile)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HostsFileReader

    public HostsFileReader(String inFile,
                           String exFile)
                    throws IOException

Throws:
  `IOException`

Method Detail

### refresh

    public void refresh()
                 throws IOException

  Throws:
    `IOException`

### getHosts

    public Set<String> getHosts()

### getExcludedHosts

    public Set<String> getExcludedHosts()

### setIncludesFile

    public void setIncludesFile(String includesFile)

### setExcludesFile

    public void setExcludesFile(String excludesFile)

### updateFileNames

    public void updateFileNames(String includesFile,
                                String excludesFile)
                         throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation